*{
    font-family: 'Montserrat', sans-serif !important;
}

body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background: #152331;
    background: linear-gradient(to right,#152331,#000000);
    color: #fff;
    text-align: center;
}

.navbar {
    height: 130px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 50px;
    background-color: transparent !important;
}

.logo img {
    width: 170px;
    height: auto;
    margin-left: 50px;
}

.nav-links {
    display: flex;
    gap: 20px;
}

.nav-btn:hover, .dropbtn:hover {
    color: white;
    text-decoration: underline;
    transition: 0.5;
}

.nav-btn {
    padding: 10px 20px;
    text-decoration: none;
    color: white;
    transition: background-color 0.3s ease;
}

.nav-btn, .dropbtn {
    margin-top: 10px;
    font-size: 20px;
    text-transform: uppercase;
}

.navbar a, button {
    font-size: 20px;
}

.dropdown-content {
    position: relative;
}

.dropbtn {
    padding: 10px 20px;
    background-color: rgba(0, 0, 0, 0);
    color: white;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7);
    min-width: 160px;
    z-index: 1;
    border-radius: 5px;
}

.dropdown-content a {
    padding: 10px;
    display: block;
    text-align: left;
    color: white;
    text-decoration: none;
}

.dropdown-content a:hover {
    background-color: rgba(255, 255, 255, 0.3);
    color: white;
    text-decoration: none;
    border: solid 2px white ;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.result-container {
    align-self: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 70%;
    height: 350px;
    margin-top: 20px;
}

.result-container p{
    font-size: 20px;
    font-weight: bold;
    text-align: center;
}

.poc-link{
    text-decoration: none;
    color: rgb(76, 136, 185);
    font-weight: bold;
}
.poc-link:hover{
    text-decoration: underline;
}

.upload-btn {
    display: inline-block;
    align-self: center;
    width: 15%;
    height: auto;
    margin-top: 30px;
    padding: 15px 30px;
    background-color: #00b4d8;
    color: white;
    text-decoration: none;
    border-radius: 20px; /* Rounded corners for the button */
    font-size: 20px;
    font-weight: bold;
    transition: background-color 0.2s ease;
}

.upload-btn:hover {
    background-color: #0077b6; /* Darken on hover */
}

footer {
    background-color: transparent !important;
    color: #ffffff;
    padding: 20px;
    text-align: center;
    width: 100%;
}

footer a {
    color: #66ccff; 
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}